Subject: Re: [bug#57453] WIP (chrpath)

From: Maxime Devos <[email-masked]>
Date: Mon, 12 Sep 2022 16:22:35 +0200

On 11-09-2022 15:28, daniel.maksymow--- via Guix-patches via wrote:
> Finally I found the time for building this package. I removed those 
> generated flags and added
> native-inputs autoconf automake. Looks like there is an error in 
> configure.ac file
> 
> But during build I get this error:
> ./configure: line 4921: syntax error near unexpected token `$flag,'
> ./configure: line 4921: `    JAPHAR_GREP_CFLAGS($flag,  CFLAGS="$CFLAGS 
> $flag" )' [...]
> 
> Have you idea what can be wrong here?

I included too many files in the list of files to remove. 
'acinclude.m4' is fine -- it doesn't appear to be generated, it looks 
like source code.  Tested with the following definition:

(define-public chrpath
   (package
    (name "chrpath")
    (version "0.16")
    (source (origin
             (method url-fetch)
             (uri (string-append
 
"https://deb.debian.org/debian/pool/main/c/chrpath/chrpath_"
                   version ".orig.tar.gz"))
             (sha256
              (base32
               "0yvfq891mcdkf8g18gjjkn2m5rvs8z4z4cl1vwdhx6f2p9a4q3dv"))
	    (modules '((guix build utils)))
	    (snippet
	     ;; Remove generated Autotools files -- they are generated
	     ;; and additionally don't support new architectures.
	     '(for-each delete-file
			 (find-files "." 
"\\b(configure|config\\.sub|config.guess|Makefile\\.in|missing|depcomp|config\\.h\\.in|aclocal\\.m4|install-sh)$")))))
    (build-system gnu-build-system)
    (native-inputs (list autoconf automake))
    (home-page "https://tracker.debian.org/pkg/chrpath")
    (synopsis "Tool to edit the rpath of ELF binaries")
    (description
     "@code{chrpath} allows you to modify the dynamic library load path
    (rpath and runpath) of compiled programs and libraries")
    (license gpl1+))) ; condition (9) of the GPL 2 (no version is specified)

Also, one additional thing: you are using the '.orig.tar.gz' tarball, 
but Debian often patches software.  On 
https://packages.debian.org/sid/chrpath, there is a also a patch 
chrpath_0.16-2.diff.gz , fixing a MIPS-specific bug.  Could you add it 
go gnu/local.mk, gnu/packages/patches and the 'patches' field (using the 
'search-pathes' procedure)?

(MIPS isn't a 'fully supported' system anymore according to (guix)GNU 
Distribution, but assuming the patch applies cleanly, might as well make 
it a tiny bit more supported.)

Greetings,
Maxime.